hpp-core: hpp::core::problemTarget::GoalConfigurations Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::problemTarget::GoalConfigurations Class Reference
Path planning algorithms

`#include <hpp/core/problem-target/goal-configurations.hh>`

Inheritance diagram for hpp::core::problemTarget::GoalConfigurations:
[legend]
Collaboration diagram for hpp::core::problemTarget::GoalConfigurations:
[legend]

## Public Member Functions
void | check (const RoadmapPtr_t &roadmap) const
| Check if the problem target is well specified.
bool | reached (const RoadmapPtr_t &roadmap) const
PathVectorPtr_t | computePath (const RoadmapPtr_t &roadmap) const
const Configurations_t & | configurations () const
| Get goal configurations.
void | addConfiguration (ConfigurationIn_t config)
| Add goal configuration.
void | resetConfigurations ()
| Reset the set of goal configurations.
Public Member Functions inherited from hpp::core::ProblemTarget
virtual | ~ProblemTarget ()
void | problem (const ProblemPtr_t &problem)
| Set the problem.

## Static Public Member Functions
static GoalConfigurationsPtr_t | create (const ProblemPtr_t &problem)

## Protected Member Functions
| GoalConfigurations (const ProblemPtr_t &problem)
| Constructor.
Protected Member Functions inherited from hpp::core::ProblemTarget
| ProblemTarget (const ProblemPtr_t &problem)
| Constructor.
void | init (const ProblemTargetWkPtr_t &weak)
| Store weak pointer to itself.

## Additional Inherited Members
Protected Attributes inherited from hpp::core::ProblemTarget
ProblemWkPtr_t | problem_
| Reference to the planner for access to problem and roadmap.
ProblemTargetWkPtr_t | weakPtr_
| Store weak pointer to itself.

## Detailed Description

Goal configurations

This class defines a goal as a list of goal configurations.

## Constructor & Destructor Documentation

## ◆ GoalConfigurations()

hpp::core::problemTarget::GoalConfigurations::GoalConfigurations | ( | const ProblemPtr_t & | problem | ) |
| inlineprotected

Constructor.

## Member Function Documentation

## ◆ addConfiguration()

void hpp::core::problemTarget::GoalConfigurations::addConfiguration | ( | ConfigurationIn_t | config | ) |

Add goal configuration.

## ◆ check()

void hpp::core::problemTarget::GoalConfigurations::check | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Check if the problem target is well specified.

Implements hpp::core::ProblemTarget.

## ◆ computePath()

PathVectorPtr_t hpp::core::problemTarget::GoalConfigurations::computePath | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Returns the solution path found. Should be called when reached() returns true.

Implements hpp::core::ProblemTarget.

## ◆ configurations()

const Configurations_t & hpp::core::problemTarget::GoalConfigurations::configurations | ( |  | ) | const

Get goal configurations.

## ◆ create()

static GoalConfigurationsPtr_t hpp::core::problemTarget::GoalConfigurations::create | ( | const ProblemPtr_t & | problem | ) |
| static

## ◆ reached()

bool hpp::core::problemTarget::GoalConfigurations::reached | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Check if the initial configuration and one of the goal are in the same connected component.

Note
  This test takes into account nodes of the roadmap that are tagged as goal nodes, not the configurations stored in this class. Be careful that those two sets are the same.

Implements hpp::core::ProblemTarget.

## ◆ resetConfigurations()

void hpp::core::problemTarget::GoalConfigurations::resetConfigurations | ( |  | ) |

Reset the set of goal configurations.

The documentation for this class was generated from the following file:

- include/hpp/core/problem-target/goal-configurations.hh